// Copyright 2017-2025 WIT.COM Inc. All rights reserved.
// Use of this source code is governed by the GPL 3.0

package main

// An app to submit patches for the 30 GO GUI repos

import (
	"os"
	"time"

	"go.wit.com/gui"
	"go.wit.com/lib/gadgets"
	"go.wit.com/lib/protobuf/zoopb"
	"go.wit.com/log"
)

func debug() {
	for {
		time.Sleep(90 * time.Second)
		log.Info("TODO: zookeeper scan here. repo count =")
	}
}

func doGui() {
	me.myGui = gui.New()
	me.myGui.InitEmbed(resources)
	me.myGui.Default()

	win := gadgets.RawBasicWindow("Zookeeper: (inventory your cluster)")
	win.Make()
	win.Show()
	win.Custom = func() {
		log.Warn("Main window close")
		os.Exit(0)
	}

	box := win.Box()

	vbox := box.NewVerticalBox("BOX2")

	group1 := vbox.NewGroup("Zookeeper Settings")
	grid := group1.NewGrid("buildOptions", 0, 0)

	addButtonForZooPB(grid)

	// sits here forever
	debug()
}

func findVersion(m *zoopb.Machine, pkgname string) string {
	zood := m.Packages.FindByName(pkgname)
	if zood == nil {
		return "n/a"
	}
	return zood.Version
}
